Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.scaffolding
[Groovy] Class DefaultGrailsTemplateGenerator

    java.lang.Object
      org.codehaus.groovy.grails.scaffolding.DefaultGrailsTemplateGenerator

    class DefaultGrailsTemplateGenerator

Default implementation of the generator that generates grails artifacts (controllers, views etc.) from the domain model.

Authors:
  Graeme Rocher

Property Summary
`static Log` | `LOG`
`java.lang.String` | `basedir`
`java.lang.String` | `domainSuffix`
`java.lang.Object` | `engine`
`boolean` | `overwrite`
`java.lang.Object` | `renderEditor`
`groovy.text.Template` | `renderEditorTemplate`
`ResourceLoader` | `resourceLoader`

Constructor Summary
`DefaultGrailsTemplateGenerator(java.lang.ClassLoader classLoader)` Used by the scripts so that they can pass in their AntBuilder instance.
`DefaultGrailsTemplateGenerator()` Default constructor.

Method Summary
`void` | `generateController(GrailsDomainClass domainClass, java.lang.String destdir)`
`void` | `generateController(GrailsDomainClass domainClass, java.io.Writer out)`
`void` | `generateView(GrailsDomainClass domainClass, java.lang.String viewName, java.lang.String destDir)`
`void` | `generateView(GrailsDomainClass domainClass, java.lang.String viewName, java.io.Writer out)`
`void` | `generateViews(GrailsDomainClass domainClass, java.lang.String destdir)`
`java.lang.Object` | `getTemplateNames()`
`void` | `setResourceLoader(ResourceLoader rl)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### LOG

    static final Log LOG

### basedir

    java.lang.String basedir

### domainSuffix

    java.lang.String domainSuffix

### engine

    java.lang.Object engine

### overwrite

    boolean overwrite

### renderEditor

    java.lang.Object renderEditor

### renderEditorTemplate

    groovy.text.Template renderEditorTemplate

### resourceLoader

    ResourceLoader resourceLoader

Constructor Detail

### DefaultGrailsTemplateGenerator

    DefaultGrailsTemplateGenerator(java.lang.ClassLoader classLoader)

  Used by the scripts so that they can pass in their AntBuilder instance.

### DefaultGrailsTemplateGenerator

    DefaultGrailsTemplateGenerator()

  Default constructor.

Method Detail

### generateController

    void generateController(GrailsDomainClass domainClass, java.lang.String destdir)

### generateController

    void generateController(GrailsDomainClass domainClass, java.io.Writer out)

### generateView

    void generateView(GrailsDomainClass domainClass, java.lang.String viewName, java.lang.String destDir)

### generateView

    void generateView(GrailsDomainClass domainClass, java.lang.String viewName, java.io.Writer out)

### generateViews

    void generateViews(GrailsDomainClass domainClass, java.lang.String destdir)

### getTemplateNames

    java.lang.Object getTemplateNames()

### setResourceLoader

    void setResourceLoader(ResourceLoader rl)

Groovy Documentation